---
toc: false
sitenav: false
feedback-widget: false
meta-title: CKEditor 5 documentation
meta-description: Learn how to install, integrate, update, configure and develop CKEditor 5. Browse through API documentation and online samples.
---

# CKEditor 5 documentation

<dl><dt>{@link installation/index CKEditor 5 installation}</dt><dd>Learn how to install, integrate and configure CKEditor 5 from scratch or using predefined builds. More complex aspects, like creating custom builds or migrating from CKEditor 4 are explained here, too.</dd>
<dt>{@link features/index CKEditor 5 Features}</dt><dd>Learn about the features available for CKEditor 5 &ndash; both the ones included in Builds and a plethora of others.</dd>
<dt>{@link examples/index CKEditor 5 Examples}</dt><dd>Try out all CKEditor 5 predefined builds. See some of the possible customizations of CKEditor.</dd>
<dt>{@link updating/index Updating CKEditor 5}</dt><dd>Find out all about updating to the newest version, dealing with breaking changes and other important information when upgrading your CKEditor 5.</dd>
<dt>{@link support/index CKEditor 5 Support}</dt><dd>Need help with CKEditor 5? Learn how to get support and find answers for the most frequently asked questions!</dd>
<dt>{@link framework/guides/overview CKEditor 5 Framework}</dt><dd>Learn how to work with CKEditor 5 Framework, customize it, create your own plugins and custom editors, change the UI or even bring your own UI to the editor.</dd>
<dt>{@link api/index CKEditor 5 API Reference}</dt><dd>The complete API documentation.</dd></dl>

## Contribute

CKEditor is an Open Source project and your contribution is most welcome. Feel free to {@link support/reporting-issues report bugs} or improve the code on [GitHub](https://github.com/ckeditor/ckeditor5). Since CKEditor is localized, you can also help [to translate it](https://www.transifex.com/ckeditor/ckeditor5/). You do not need to be a programmer to contribute to the project!
